| Flutter iOS Embedder |

Instance Methods | Protected Attributes | List of all members
FlutterDrawable Class Reference
Inheritance diagram for FlutterDrawable:

## Instance Methods
(instancetype) | - initWithTexture:layer:drawableId:
Instance Methods inherited from <FlutterMetalDrawable>
(void) | - flutterPrepareForPresent:
(void) | - flutterPrepareForPresent:

## Protected Attributes
FlutterTexture * | _texture
__weak FlutterMetalLayer * | _layer
NSUInteger | _drawableId
BOOL | _presented

## Detailed Description

Definition at line 81 of file FlutterMetalLayer.mm.

## Method Documentation

## ◆ initWithTexture:layer:drawableId:

- (instancetype) initWithTexture: |  | (FlutterTexture*) | texture
layer: |  | (FlutterMetalLayer*) | layer
drawableId: |  | (NSUInteger) | drawableId

Definition at line 85 of file FlutterMetalLayer.mm.

96 :(FlutterTexture*)texture
97 layer:(FlutterMetalLayer*)layer
98 drawableId:(NSUInteger)drawableId {
99 if (self = [super init]) {
100 _texture = texture;
101 _layer = layer;
102 _drawableId = drawableId;
103 }
104 return self;
105 }
FlutterDrawable::_texture
FlutterTexture * _texture
Definition: FlutterMetalLayer.mm:82
FlutterDrawable::_drawableId
NSUInteger _drawableId
Definition: FlutterMetalLayer.mm:84
FlutterDrawable::_layer
__weak FlutterMetalLayer * _layer
Definition: FlutterMetalLayer.mm:83
FlutterMetalLayer
Definition: FlutterMetalLayer.h:16
FlutterTexture
Definition: FlutterMetalLayer.mm:61

## Member Data Documentation

## ◆ _drawableId

- (NSUInteger) _drawableId
| protected

Definition at line 84 of file FlutterMetalLayer.mm.

## ◆ _layer

- (__weak FlutterMetalLayer*) _layer
| protected

Definition at line 83 of file FlutterMetalLayer.mm.

## ◆ _presented

- (BOOL) _presented
| protected

Definition at line 85 of file FlutterMetalLayer.mm.

## ◆ _texture

- (FlutterTexture*) _texture
| protected

Definition at line 82 of file FlutterMetalLayer.mm.

The documentation for this class was generated from the following file:

- shell/platform/darwin/ios/framework/Source/FlutterMetalLayer.mm